/* Program09_5
 *
 * Ez a program az I2C1 buszon keresztül kezeli 
 * az SSD1306 vezérlővel ellátott OLED kijelzőt.
 * Az I2C kapcsolat fixen PB8, PB9-hez rendelt, 
 * Fast módú (400 kHz sebességű, F/S=1).
 * A kitöltés 2:1 arányú (DUTY = 0)
 *
 * Kapcsolás:
 *   --------           --------------
 *  | STM32  |         | SSD1306 OLED |
 *  |    PB9 |---------| SDA          |
 *  |    PB8 |---------| SCL          | 
 *  |     5V |---------| VCC          |
 *  |    GND |---------| GND          |
 *   --------           --------------
 * Felhasznált forrás: 
 * Mazidi et al., STM32 Arm Programming for Embedded Systems    
 * http://www.microdigitaled.com/ARM/STM_ARM_books.html
 *
 * Tested with Keil MDK-Lite v5.28 and STM32F1 DFP v2.3.0
 */
 
#include "stm32f10x.h"
#include "ssd1306.h"

int main(void) {
  SSD1306_Init();            // inicializálás
  //--- Írjunk ki valamit! -------
  SSD1306_GotoXY(5, 5);
  SSD1306_Puts("HELLO", &Font_11x18, SSD1306_COLOR_WHITE);
  SSD1306_GotoXY(10, 35);
  SSD1306_Puts("  WORLD :)", &Font_11x18, SSD1306_COLOR_WHITE);
  //--- Keretező téglalap kirajzolása ------
  SSD1306_DrawRectangle(0,0,127,63,SSD1306_COLOR_WHITE);
  SSD1306_UpdateScreen();    // Megjelenítés
  while(1) { }
}







